#pragma once

#include <QMainWindow>
#include <QDialog>


namespace Ui {
	class QEcoherentAndAdditiveClass;
}

class QEcoherentAndAdditiveDialog : public QDialog
{
	Q_OBJECT

public:
	QEcoherentAndAdditiveDialog(QWidget *parent = nullptr);
	~QEcoherentAndAdditiveDialog();


public slots:

	void onpushButtonEchoDataAddSelectClicked();
	void onpushButtonEchoDataSelectClicked();
	void onaccepted();
	void onrejected();

private:
	Ui::QEcoherentAndAdditiveClass* ui;
};
